| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TopicDescription Struct Reference

Structure TopicDescription, used to register an endpoint on a topic. More...

`#include <TopicDescription.hpp>`

## Public Attributes

fastcdr::string_255 | topic_name
| Topic name.
fastcdr::string_255 | type_name
| Type name.
dds::xtypes::TypeInformationParameter | type_information
| Type information.

## Detailed Description

Structure TopicDescription, used to register an endpoint on a topic.

## Member Data Documentation

## ◆ topic_name

fastcdr::string_255 topic_name

Topic name.

## ◆ type_information

dds::xtypes::TypeInformationParameter type_information

Type information.

## ◆ type_name

fastcdr::string_255 type_name

Type name.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/builtin/data/TopicDescription.hpp